Bug 245046 - cron errors on hourly.cron with selinux-policy 2.6.4-20.fc7
cron errors on hourly.cron with selinux-policy 2.6.4-20.fc7
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-20 14:08 EDT by Kevin Fenzi
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.6.4-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-05 15:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2007-06-20 14:08:13 EDT
Description of problem:

Cron mails me every hour with an email containing: 

execl: couldn't exec `/bin/bash'
execl: Permission denied

Version-Release number of selected component (if applicable):
2.6.4-20.fc7 from updates-testing

How reproducible:

Install this selinux-policy package. Wait for the top of the hour. 

avcs I see: 

type=USER_START msg=audit(1182362461.375:187): user pid=2031 uid=0 auid=0
nd_t:s0-s0:c0.c1023 msg='PAM: session open acct=root : exe="/usr/sbin/crond"
(hostname=?, addr=?, te
rminal=cron res=success)'
type=AVC msg=audit(1182362461.377:188): avc:  denied  { transition } for 
pid=2033 comm="crond" name
="bash" dev=sda2 ino=326090 scontext=system_u:system_r:crond_t:s0-s0:c0.c1023
_r:unconfined_t:s0 tclass=process
type=SYSCALL msg=audit(1182362461.377:188): arch=c000003e syscall=59 success=no
exit=-13 a0=5555557e
e596 a1=7ffff7eae780 a2=5555557ef3b0 a3=0 items=0 ppid=2031 pid=2033 auid=0
uid=0 gid=0 euid=0 suid=
0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) comm="crond" exe="/usr/sbin/crond"
:crond_t:s0-s0:c0.c1023 key=(null)
type=AVC_PATH msg=audit(1182362461.377:188):  path="/bin/bash"
type=CRED_DISP msg=audit(1182362461.397:189): user pid=2031 uid=0 auid=0
d_t:s0-s0:c0.c1023 msg='PAM: setcred acct=root : exe="/usr/sbin/crond"
(hostname=?, addr=?, terminal
=cron res=success)'
type=USER_END msg=audit(1182362461.397:190): user pid=2031 uid=0 auid=0
_t:s0-s0:c0.c1023 msg='PAM: session close acct=root : exe="/usr/sbin/crond"
(hostname=?, addr=?, ter
minal=cron res=success)'
Comment 1 Kevin Fenzi 2007-08-05 15:45:28 EDT
This was fixed in the very next release, 2.6.4-21. 

Note You need to log in before you can comment on or make changes to this bug.